Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228730 - gtkglext-devel should require libXt-devel in FC-5
Summary: gtkglext-devel should require libXt-devel in FC-5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkglext
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 18:03 UTC by Gwyn Ciesla
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-01 11:40:13 UTC


Attachments (Terms of Use)

Description Gwyn Ciesla 2007-02-14 18:03:53 UTC
Description of problem:
When trying to build gnubg for FC-5, build fails with:

checking for GtkGLExt - version >= 1.0.0... no
*** Could not run GtkGLExt test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GtkGLExt is incorrectly installed.

gnubg has gtkglext-devel as a BuildRequires for FC-6, FC-5 and devel.  FC-6 and
devel build fine as is.

config.log extract, courtesy of Orion Poplawski. . .

configure:4197: checking for X
configure:4302: gcc -E  conftest.c
configure:4308: $? = 0
configure:4358: gcc -o conftest -O2 -g -pipe -Wall 
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -
fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 
-mtune=generic -fasynchronous
-unwind-tables   conftest.c -lXt  >&5
/usr/bin/ld: cannot find -lXt
collect2: ld returned 1 exit status

configure:24230: checking for GtkGLExt - version >= 1.0.0
configure:24354: gcc -o conftest -O2 -g -pipe -Wall 
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 
-mtune=generic -fasynchronou
s-unwind-tables -I/usr/include/gtkglext-1.0 
-I/usr/lib/gtkglext-1.0/include -I/usr/includ
e/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 
-I/usr/include/glib-2.0 -I/
usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/atk-1.0 
  conftest.c -Wl,-
-export-dynamic -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu 
-lXt -lSM -lICE -l
gtk-x11-2.0 -lpangox-1.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm 
-lpangocairo-1.0 -l
pango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -ldl 
-lreadline -ltermcap
  -lm  >&5
conftest.c: In function 'main':
conftest.c:102: warning: ignoring return value of 'system', declared 
with attribute warn_
unused_result
/usr/bin/ld: cannot find -lXt
collect2: ld returned 1 exit status

Orion's additional comments:

"Now this actually looks like a packaging bug for gtkglext-devel.  It 
should Require: libXt-devel or it should not list -lXt in its pkg-config 
output if it doesn't really use it:

$ pkg-config --libs gtkglext-1.0
-Wl,--export-dynamic -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL 
-lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lpangox-1.0 -lgdk-x11-2.0 -latk-1.0 
-lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 
-lgmodule-2.0 -ldl -lglib-2.0
"

I've added libXt-devel as a BR for FC-5's gnubg as a workaround, which allows it
to build.

Comment 1 Ralf Corsepius 2007-02-15 17:44:06 UTC
AFAIS, this is a side-effect of 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202558
not having been fixed for FC5.

So unless this will be fixed in libXmu-devel we can chose between two evils:
You or me polluting our specs with "R: libXt-devel" :(

Comment 2 Gwyn Ciesla 2007-11-01 11:40:13 UTC
As FC-5 is EOL and FC-6 is nearly EOL, and it's fixed in FC-6, I'm closing this.


Note You need to log in before you can comment on or make changes to this bug.